Skip to content

Create Task minimax/video-01-live

POST https://www.kkiai.com/replicate/v1/models/minimax/video-01-live/predictions

Official documentation: https://replicate.com/minimax/video-01-live

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value should be the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
inputobjectOptional
  └ promptstringRequired
  └ prompt_optimizerbooleanOptionalUse prompt optimizer. Default value: true
  └ first_frame_imagestringRequiredFirst frame image for video generation. The output video will have the same aspect ratio as this image.

Request Example

json
{
    "input": {
      "prompt": "a man is talking angrily",
      "prompt_optimizer": true,
      "first_frame_image": "https://replicate.delivery/pbxt/M9jlcXgeaypBr2yQYGf9JXgxUCJWRt8ODUDvt90UWPUsQBXC/back-to-the-future.png"
    }
  }

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/models/minimax/video-01-live/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
      "prompt": "a man is talking angrily",
      "prompt_optimizer": true,
      "first_frame_image": "https://replicate.delivery/pbxt/M9jlcXgeaypBr2yQYGf9JXgxUCJWRt8ODUDvt90UWPUsQBXC/back-to-the-future.png"
    }
  }'

Response

🟢 200 Success

Response Body

Parameter NameTypeRequiredDescription
idstringRequired
modelstringRequired
versionstringRequired
inputobjectRequired
  └ aspect_ratiostringRequired
  └ input_imagestringRequired
  └ output_formatstringRequired
  └ promptstringRequired
  └ prompt_upsamplingbooleanRequired
  └ safety_toleranceintegerRequired
logsstringRequired
outputnullRequired
data_removedbooleanRequired
errornullRequired
statusstringRequired
created_atstringRequired
urlsobjectRequired
  └ cancelstringRequired
  └ getstringRequired
  └ streamstringRequired
  └ webstringRequired

Response Example

json
{
    "id": "x18c1re8mxrma0crb3x8wbwqmg",
    "model": "minimax/video-01-live",
    "version": "hidden",
    "input": {
        "first_frame_image": "https://replicate.delivery/pbxt/M9jlcXgeaypBr2yQYGf9JXgxUCJWRt8ODUDvt90UWPUsQBXC/back-to-the-future.png",
        "prompt": "a man is talking angrily",
        "prompt_optimizer": true
    },
    "logs": "",
    "output": null,
    "data_removed": false,
    "error": null,
    "status": "starting",
    "created_at": "2025-07-30T01:38:07.143Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/x18c1re8mxrma0crb3x8wbwqmg/cancel",
        "get": "https://api.replicate.com/v1/predictions/x18c1re8mxrma0crb3x8wbwqmg",
        "stream": "https://stream.replicate.com/v1/files/bcwr-tfjtzspnxcjigf5eyyqqfkc3rrtv7ruou6yxzspuiy2cdzi7gizq",
        "web": "https://replicate.com/p/x18c1re8mxrma0crb3x8wbwqmg"
    }
}